Loading...
Searching...
No Matches
TestDescription_PolysTestSuite_test_Q_Ext_a Class Reference

## Public Member Functions

| TestDescription_PolysTestSuite_test_Q_Ext_a ()
void | runTest ()
Public Member Functions inherited from CxxTest::RealTestDescription
| RealTestDescription ()
| RealTestDescription (List &argList, SuiteDescription &argSuite, unsigned argLine, const char *argTestName)
void | initialize (List &argList, SuiteDescription &argSuite, unsigned argLine, const char *argTestName)
const char * | file () const
unsigned | line () const
const char * | testName () const
const char * | suiteName () const
TestDescription * | next ()
const TestDescription * | next () const
TestSuite * | suite () const
bool | setUp ()
void | run ()
bool | tearDown ()
Public Member Functions inherited from CxxTest::TestDescription
virtual | ~TestDescription ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Detailed Description

Definition at line 56 of file polys_test_runner.cpp.

## Constructor & Destructor Documentation

## TestDescription_PolysTestSuite_test_Q_Ext_a()

TestDescription_PolysTestSuite_test_Q_Ext_a::TestDescription_PolysTestSuite_test_Q_Ext_a | ( |  | ) |

inline

Definition at line 58 of file polys_test_runner.cpp.

: CxxTest::RealTestDescription( Tests_PolysTestSuite, suiteDescription_PolysTestSuite, 1968, "test_Q_Ext_a" ) {}
Tests_PolysTestSuite
static CxxTest::List Tests_PolysTestSuite
Definition polys_test_runner.cpp:23
suiteDescription_PolysTestSuite
CxxTest::StaticSuiteDescription suiteDescription_PolysTestSuite("./polys_test.h", 209, "PolysTestSuite", suite_PolysTestSuite, Tests_PolysTestSuite)

## Member Function Documentation

## runTest()

void TestDescription_PolysTestSuite_test_Q_Ext_a::runTest | ( |  | ) |

inline virtual

Implements CxxTest::RealTestDescription.

Definition at line 59 of file polys_test_runner.cpp.

{ suite_PolysTestSuite.test_Q_Ext_a(); }
PolysTestSuite::test_Q_Ext_a
void test_Q_Ext_a()
Definition polys_test.h:1968
suite_PolysTestSuite
static PolysTestSuite suite_PolysTestSuite
Definition polys_test_runner.cpp:21

The documentation for this class was generated from the following file:

- libpolys/tests/polys_test_runner.cpp